## firewall-autoban 0.5~deb11u2

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all:

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/bin
	$(INSTALL) -d $(DESTDIR)/etc/init.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/regex.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/rules.d
	$(INSTALL) -d $(DESTDIR)/lib/firewall/autoban
	$(INSTALL) -d $(DESTDIR)/lib/firewall/regex.d
	$(INSTALL) -d $(DESTDIR)/lib/systemd/system
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man8
	# Files
	# Executables
	$(INSTALL) src/bin/firewall-autoban $(DESTDIR)/bin
	# Libraries
	$(INSTALL) -m 644 src/lib/firewall/autoban/* $(DESTDIR)/lib/firewall/autoban
	# Regex files
	$(INSTALL) -m 644 src/lib/firewall/regex.d/*.regex $(DESTDIR)/lib/firewall/regex.d
	# Configuration files
	$(INSTALL) -m 644 src/etc/firewall/*.conf $(DESTDIR)/etc/firewall
	$(INSTALL) -m 644 src/etc/firewall/rules.d/*.rule $(DESTDIR)/etc/firewall/rules.d
	# Init files
	$(INSTALL) src/etc/init.d/* $(DESTDIR)/etc/init.d
	$(INSTALL) -m 644 src/lib/systemd/system/* $(DESTDIR)/lib/systemd/system
	# Manual pages
	$(INSTALL) -m 644 src/usr/share/man/man5/* $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -m 644 src/usr/share/man/man8/* $(DESTDIR)/usr/share/man/man8

clean:

## firewall-autoban 0.5~deb9u3

=== debian/changelog ===
firewall-autoban (0.5~deb9u3) stretch; urgency=medium

  * [d8737a0] Hotfix for /bin/kill (Stretch only)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 09 Mar 2023 01:19:08 +0100

firewall-autoban (0.5~deb9u2) stretch; urgency=medium

  * [8df8cbe] Fix output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 21:56:14 +0100

firewall-autoban (0.5~deb9u1) stretch; urgency=medium

  * Rebuild for stretch

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 18:07:48 +0100

firewall-autoban (0.5) unstable; urgency=medium

  * [731599a] Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 16:36:24 +0100

=== debian/control ===
Source: firewall-autoban
Section: net
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10~)
Standards-Version: 3.9.8
#Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/olde
#Vcs-Git: https://salsa.debian.org/debian/olde.git

Package: firewall-autoban
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: firewall (>= 0.38~), lsb-base (>= 3.2-14), ${misc:Depends}
Description: Very simple firewall - automatic ban
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package contains a script to automatically ban IP addresses after a
 number of errors. This is basically a reimplementation of fail2ban in POSIX
 shell.

## firewall-autoban 0.5~deb10u2

=== debian/changelog ===
firewall-autoban (0.5~deb10u2) buster; urgency=medium

  * [d85a3b0] Fix output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 21:55:11 +0100

firewall-autoban (0.5~deb10u1) buster; urgency=medium

  * Rebuild for buster

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 18:11:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10~)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 #Homepage: <insert the upstream URL, if relevant>
 #Vcs-Browser: https://salsa.debian.org/debian/olde
 #Vcs-Git: https://salsa.debian.org/debian/olde.git

## firewall-autoban 0.5~deb11u2

=== debian/changelog ===
firewall-autoban (0.5~deb11u2) bullseye; urgency=medium

  * [85d89da] Fix output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 21:54:06 +0100

firewall-autoban (0.5~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 16:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 #Homepage: <insert the upstream URL, if relevant>
 #Vcs-Browser: https://salsa.debian.org/debian/olde
 #Vcs-Git: https://salsa.debian.org/debian/olde.git

## firewall-autoban 0.5.1

=== debian/changelog ===
firewall-autoban (0.5.1) unstable; urgency=medium

  * [097a622] Fix output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 21:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 #Homepage: <insert the upstream URL, if relevant>
 #Vcs-Browser: https://salsa.debian.org/debian/olde
 #Vcs-Git: https://salsa.debian.org/debian/olde.git
@@ -12,7 +12,7 @@
 Package: firewall-autoban
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: firewall (>= 0.38~), lsb-base (>= 3.2-14), ${misc:Depends}
+Depends: firewall (>= 0.38~), sysvinit-utils (>= 3.05-1), ${misc:Depends}
 Description: Very simple firewall - automatic ban
  A very simple firewall. The default configuration only allows ICMP, outgoing
  connections and their replies, and silently drops everything else.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_installinit:
	dh_installinit --only-scripts
